Bug 1914723 - SamplesTBRInaccessibleOnBoot Alert has a misspelling
Summary: SamplesTBRInaccessibleOnBoot Alert has a misspelling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: All
OS: All
low
low
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-11 02:12 UTC by Palash Khaire
Modified: 2021-02-24 15:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: SamplesTBRInaccessibleOnBoot Alert description has a misspelling. Consequence: Alert name might be confusing since its has a misspelleing, "boostrapped" should be "bootstrapped". Fix: Change "boostrapped" to "bootstrapped" Result: SamplesTBRInaccessibleOnBoot Alert description is correct.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:51:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
Console Snapshot. (44.38 KB, image/jpeg)
2021-01-11 02:12 UTC, Palash Khaire
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 351 0 None closed Bug 1914723: SamplesTBRInaccessibleOnBoot Alert has a misspelling 2021-02-18 16:31:46 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:51:37 UTC

Description Palash Khaire 2021-01-11 02:12:37 UTC
Created attachment 1746133 [details]
Console Snapshot.

Description of problem:  SamplesTBRInaccessibleOnBoot Alert has a misspelling.


Additional info: Using the console, there is a misspelling with the SamplesTBRInaccessibleOnBoot Alert.


"boostrapped" should be "bootstrapped".   Attaching an image for reference.

Comment 2 Yadan Pei 2021-01-14 06:51:26 UTC
# oc -n openshift-monitoring get cm prometheus-k8s-rulefiles-0 -o yaml | grep SamplesTBRInaccessibleOnBoot -A15
      - alert: SamplesTBRInaccessibleOnBoot
        annotations:
          message: |
            Samples operator could not access 'registry.redhat.io' during its initial installation and it bootstrapped as removed.
            If this is expected, and stems from installing in a restricted network environment, please note that if you
            plan on mirroring images associated with sample imagestreams into a registry available in your restricted
            network environment, and subsequently moving samples operator back to 'Managed' state, a list of the images
            associated with each image stream tag from the samples catalog is
            provided in the 'imagestreamtag-to-image' config map in the 'openshift-cluster-samples-operator' namespace to
            assist the mirroring process.


We can see the text was updated, verified on 4.7.0-0.nightly-2021-01-13-124141

Comment 3 Yadan Pei 2021-01-14 07:04:47 UTC
#  oc -n openshift-cluster-samples-operator get pod
NAME                                        READY   STATUS    RESTARTS   AGE
cluster-samples-operator-76f8bc5d86-vmc88   2/2     Running   0          4h2m
#  oc -n openshift-cluster-samples-operator get ep
NAME      ENDPOINTS           AGE
metrics   10.128.0.65:60000   4h23m
# oc -n openshift-cluster-samples-operator exec -c cluster-samples-operator cluster-samples-operator-76f8bc5d86-vmc88 -- curl -k https://10.128.0.65:60000/metrics | grep openshift_samples_tbr_inaccessible_info | grep bootstrapped
# HELP openshift_samples_tbr_inaccessible_info Indicates that during its initial installation the samples operator could not access registry.redhat.io and it bootstrapped as removed.

HELP info also updated

Comment 6 errata-xmlrpc 2021-02-24 15:51:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.